Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network210.167.160.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
210.167.160.0
Broadcast address
210.167.175.255
First usable
210.167.160.1
Last usable
210.167.175.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
C (default /24)
As numbers
Hex D2A7A000 · Integer 3534200832 to 3534204927
Reverse DNS zones
160.167.210.in-addr.arpa
161.167.210.in-addr.arpa
162.167.210.in-addr.arpa
163.167.210.in-addr.arpa
164.167.210.in-addr.arpa
165.167.210.in-addr.arpa
166.167.210.in-addr.arpa
167.167.210.in-addr.arpa
168.167.210.in-addr.arpa
169.167.210.in-addr.arpa
170.167.210.in-addr.arpa
171.167.210.in-addr.arpa
172.167.210.in-addr.arpa
173.167.210.in-addr.arpa
174.167.210.in-addr.arpa
175.167.210.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010010.10100111.10100000.00000000210.167.160.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11010010.10100111.10100000.00000000210.167.160.0
Broadcast11010010.10100111.10101111.11111111210.167.175.255
Split into smaller subnets/29

210.167.160.0/20 makes 512 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1210.167.160.0/29210.167.160.1 to 210.167.160.6210.167.160.76
2210.167.160.8/29210.167.160.9 to 210.167.160.14210.167.160.156
3210.167.160.16/29210.167.160.17 to 210.167.160.22210.167.160.236
4210.167.160.24/29210.167.160.25 to 210.167.160.30210.167.160.316
5210.167.160.32/29210.167.160.33 to 210.167.160.38210.167.160.396
6210.167.160.40/29210.167.160.41 to 210.167.160.46210.167.160.476
7210.167.160.48/29210.167.160.49 to 210.167.160.54210.167.160.556
8210.167.160.56/29210.167.160.57 to 210.167.160.62210.167.160.636
9210.167.160.64/29210.167.160.65 to 210.167.160.70210.167.160.716
10210.167.160.72/29210.167.160.73 to 210.167.160.78210.167.160.796
11210.167.160.80/29210.167.160.81 to 210.167.160.86210.167.160.876
12210.167.160.88/29210.167.160.89 to 210.167.160.94210.167.160.956
13210.167.160.96/29210.167.160.97 to 210.167.160.102210.167.160.1036
14210.167.160.104/29210.167.160.105 to 210.167.160.110210.167.160.1116
15210.167.160.112/29210.167.160.113 to 210.167.160.118210.167.160.1196
16210.167.160.120/29210.167.160.121 to 210.167.160.126210.167.160.1276
17210.167.160.128/29210.167.160.129 to 210.167.160.134210.167.160.1356
18210.167.160.136/29210.167.160.137 to 210.167.160.142210.167.160.1436
19210.167.160.144/29210.167.160.145 to 210.167.160.150210.167.160.1516
20210.167.160.152/29210.167.160.153 to 210.167.160.158210.167.160.1596
21210.167.160.160/29210.167.160.161 to 210.167.160.166210.167.160.1676
22210.167.160.168/29210.167.160.169 to 210.167.160.174210.167.160.1756
23210.167.160.176/29210.167.160.177 to 210.167.160.182210.167.160.1836
24210.167.160.184/29210.167.160.185 to 210.167.160.190210.167.160.1916
25210.167.160.192/29210.167.160.193 to 210.167.160.198210.167.160.1996
26210.167.160.200/29210.167.160.201 to 210.167.160.206210.167.160.2076
27210.167.160.208/29210.167.160.209 to 210.167.160.214210.167.160.2156
28210.167.160.216/29210.167.160.217 to 210.167.160.222210.167.160.2236
29210.167.160.224/29210.167.160.225 to 210.167.160.230210.167.160.2316
30210.167.160.232/29210.167.160.233 to 210.167.160.238210.167.160.2396
31210.167.160.240/29210.167.160.241 to 210.167.160.246210.167.160.2476
32210.167.160.248/29210.167.160.249 to 210.167.160.254210.167.160.2556
33210.167.161.0/29210.167.161.1 to 210.167.161.6210.167.161.76
34210.167.161.8/29210.167.161.9 to 210.167.161.14210.167.161.156
35210.167.161.16/29210.167.161.17 to 210.167.161.22210.167.161.236
36210.167.161.24/29210.167.161.25 to 210.167.161.30210.167.161.316
37210.167.161.32/29210.167.161.33 to 210.167.161.38210.167.161.396
38210.167.161.40/29210.167.161.41 to 210.167.161.46210.167.161.476
39210.167.161.48/29210.167.161.49 to 210.167.161.54210.167.161.556
40210.167.161.56/29210.167.161.57 to 210.167.161.62210.167.161.636
41210.167.161.64/29210.167.161.65 to 210.167.161.70210.167.161.716
42210.167.161.72/29210.167.161.73 to 210.167.161.78210.167.161.796
43210.167.161.80/29210.167.161.81 to 210.167.161.86210.167.161.876
44210.167.161.88/29210.167.161.89 to 210.167.161.94210.167.161.956
45210.167.161.96/29210.167.161.97 to 210.167.161.102210.167.161.1036
46210.167.161.104/29210.167.161.105 to 210.167.161.110210.167.161.1116
47210.167.161.112/29210.167.161.113 to 210.167.161.118210.167.161.1196
48210.167.161.120/29210.167.161.121 to 210.167.161.126210.167.161.1276
49210.167.161.128/29210.167.161.129 to 210.167.161.134210.167.161.1356
50210.167.161.136/29210.167.161.137 to 210.167.161.142210.167.161.1436
51210.167.161.144/29210.167.161.145 to 210.167.161.150210.167.161.1516
52210.167.161.152/29210.167.161.153 to 210.167.161.158210.167.161.1596
53210.167.161.160/29210.167.161.161 to 210.167.161.166210.167.161.1676
54210.167.161.168/29210.167.161.169 to 210.167.161.174210.167.161.1756
55210.167.161.176/29210.167.161.177 to 210.167.161.182210.167.161.1836
56210.167.161.184/29210.167.161.185 to 210.167.161.190210.167.161.1916
57210.167.161.192/29210.167.161.193 to 210.167.161.198210.167.161.1996
58210.167.161.200/29210.167.161.201 to 210.167.161.206210.167.161.2076
59210.167.161.208/29210.167.161.209 to 210.167.161.214210.167.161.2156
60210.167.161.216/29210.167.161.217 to 210.167.161.222210.167.161.2236
61210.167.161.224/29210.167.161.225 to 210.167.161.230210.167.161.2316
62210.167.161.232/29210.167.161.233 to 210.167.161.238210.167.161.2396
63210.167.161.240/29210.167.161.241 to 210.167.161.246210.167.161.2476
64210.167.161.248/29210.167.161.249 to 210.167.161.254210.167.161.2556
65210.167.162.0/29210.167.162.1 to 210.167.162.6210.167.162.76
66210.167.162.8/29210.167.162.9 to 210.167.162.14210.167.162.156
67210.167.162.16/29210.167.162.17 to 210.167.162.22210.167.162.236
68210.167.162.24/29210.167.162.25 to 210.167.162.30210.167.162.316
69210.167.162.32/29210.167.162.33 to 210.167.162.38210.167.162.396
70210.167.162.40/29210.167.162.41 to 210.167.162.46210.167.162.476
71210.167.162.48/29210.167.162.49 to 210.167.162.54210.167.162.556
72210.167.162.56/29210.167.162.57 to 210.167.162.62210.167.162.636
73210.167.162.64/29210.167.162.65 to 210.167.162.70210.167.162.716
74210.167.162.72/29210.167.162.73 to 210.167.162.78210.167.162.796
75210.167.162.80/29210.167.162.81 to 210.167.162.86210.167.162.876
76210.167.162.88/29210.167.162.89 to 210.167.162.94210.167.162.956
77210.167.162.96/29210.167.162.97 to 210.167.162.102210.167.162.1036
78210.167.162.104/29210.167.162.105 to 210.167.162.110210.167.162.1116
79210.167.162.112/29210.167.162.113 to 210.167.162.118210.167.162.1196
80210.167.162.120/29210.167.162.121 to 210.167.162.126210.167.162.1276
81210.167.162.128/29210.167.162.129 to 210.167.162.134210.167.162.1356
82210.167.162.136/29210.167.162.137 to 210.167.162.142210.167.162.1436
83210.167.162.144/29210.167.162.145 to 210.167.162.150210.167.162.1516
84210.167.162.152/29210.167.162.153 to 210.167.162.158210.167.162.1596
85210.167.162.160/29210.167.162.161 to 210.167.162.166210.167.162.1676
86210.167.162.168/29210.167.162.169 to 210.167.162.174210.167.162.1756
87210.167.162.176/29210.167.162.177 to 210.167.162.182210.167.162.1836
88210.167.162.184/29210.167.162.185 to 210.167.162.190210.167.162.1916
89210.167.162.192/29210.167.162.193 to 210.167.162.198210.167.162.1996
90210.167.162.200/29210.167.162.201 to 210.167.162.206210.167.162.2076
91210.167.162.208/29210.167.162.209 to 210.167.162.214210.167.162.2156
92210.167.162.216/29210.167.162.217 to 210.167.162.222210.167.162.2236
93210.167.162.224/29210.167.162.225 to 210.167.162.230210.167.162.2316
94210.167.162.232/29210.167.162.233 to 210.167.162.238210.167.162.2396
95210.167.162.240/29210.167.162.241 to 210.167.162.246210.167.162.2476
96210.167.162.248/29210.167.162.249 to 210.167.162.254210.167.162.2556
97210.167.163.0/29210.167.163.1 to 210.167.163.6210.167.163.76
98210.167.163.8/29210.167.163.9 to 210.167.163.14210.167.163.156
99210.167.163.16/29210.167.163.17 to 210.167.163.22210.167.163.236
100210.167.163.24/29210.167.163.25 to 210.167.163.30210.167.163.316
101210.167.163.32/29210.167.163.33 to 210.167.163.38210.167.163.396
102210.167.163.40/29210.167.163.41 to 210.167.163.46210.167.163.476
103210.167.163.48/29210.167.163.49 to 210.167.163.54210.167.163.556
104210.167.163.56/29210.167.163.57 to 210.167.163.62210.167.163.636
105210.167.163.64/29210.167.163.65 to 210.167.163.70210.167.163.716
106210.167.163.72/29210.167.163.73 to 210.167.163.78210.167.163.796
107210.167.163.80/29210.167.163.81 to 210.167.163.86210.167.163.876
108210.167.163.88/29210.167.163.89 to 210.167.163.94210.167.163.956
109210.167.163.96/29210.167.163.97 to 210.167.163.102210.167.163.1036
110210.167.163.104/29210.167.163.105 to 210.167.163.110210.167.163.1116
111210.167.163.112/29210.167.163.113 to 210.167.163.118210.167.163.1196
112210.167.163.120/29210.167.163.121 to 210.167.163.126210.167.163.1276
113210.167.163.128/29210.167.163.129 to 210.167.163.134210.167.163.1356
114210.167.163.136/29210.167.163.137 to 210.167.163.142210.167.163.1436
115210.167.163.144/29210.167.163.145 to 210.167.163.150210.167.163.1516
116210.167.163.152/29210.167.163.153 to 210.167.163.158210.167.163.1596
117210.167.163.160/29210.167.163.161 to 210.167.163.166210.167.163.1676
118210.167.163.168/29210.167.163.169 to 210.167.163.174210.167.163.1756
119210.167.163.176/29210.167.163.177 to 210.167.163.182210.167.163.1836
120210.167.163.184/29210.167.163.185 to 210.167.163.190210.167.163.1916
121210.167.163.192/29210.167.163.193 to 210.167.163.198210.167.163.1996
122210.167.163.200/29210.167.163.201 to 210.167.163.206210.167.163.2076
123210.167.163.208/29210.167.163.209 to 210.167.163.214210.167.163.2156
124210.167.163.216/29210.167.163.217 to 210.167.163.222210.167.163.2236
125210.167.163.224/29210.167.163.225 to 210.167.163.230210.167.163.2316
126210.167.163.232/29210.167.163.233 to 210.167.163.238210.167.163.2396
127210.167.163.240/29210.167.163.241 to 210.167.163.246210.167.163.2476
128210.167.163.248/29210.167.163.249 to 210.167.163.254210.167.163.2556
129210.167.164.0/29210.167.164.1 to 210.167.164.6210.167.164.76
130210.167.164.8/29210.167.164.9 to 210.167.164.14210.167.164.156
131210.167.164.16/29210.167.164.17 to 210.167.164.22210.167.164.236
132210.167.164.24/29210.167.164.25 to 210.167.164.30210.167.164.316
133210.167.164.32/29210.167.164.33 to 210.167.164.38210.167.164.396
134210.167.164.40/29210.167.164.41 to 210.167.164.46210.167.164.476
135210.167.164.48/29210.167.164.49 to 210.167.164.54210.167.164.556
136210.167.164.56/29210.167.164.57 to 210.167.164.62210.167.164.636
137210.167.164.64/29210.167.164.65 to 210.167.164.70210.167.164.716
138210.167.164.72/29210.167.164.73 to 210.167.164.78210.167.164.796
139210.167.164.80/29210.167.164.81 to 210.167.164.86210.167.164.876
140210.167.164.88/29210.167.164.89 to 210.167.164.94210.167.164.956
141210.167.164.96/29210.167.164.97 to 210.167.164.102210.167.164.1036
142210.167.164.104/29210.167.164.105 to 210.167.164.110210.167.164.1116
143210.167.164.112/29210.167.164.113 to 210.167.164.118210.167.164.1196
144210.167.164.120/29210.167.164.121 to 210.167.164.126210.167.164.1276
145210.167.164.128/29210.167.164.129 to 210.167.164.134210.167.164.1356
146210.167.164.136/29210.167.164.137 to 210.167.164.142210.167.164.1436
147210.167.164.144/29210.167.164.145 to 210.167.164.150210.167.164.1516
148210.167.164.152/29210.167.164.153 to 210.167.164.158210.167.164.1596
149210.167.164.160/29210.167.164.161 to 210.167.164.166210.167.164.1676
150210.167.164.168/29210.167.164.169 to 210.167.164.174210.167.164.1756
151210.167.164.176/29210.167.164.177 to 210.167.164.182210.167.164.1836
152210.167.164.184/29210.167.164.185 to 210.167.164.190210.167.164.1916
153210.167.164.192/29210.167.164.193 to 210.167.164.198210.167.164.1996
154210.167.164.200/29210.167.164.201 to 210.167.164.206210.167.164.2076
155210.167.164.208/29210.167.164.209 to 210.167.164.214210.167.164.2156
156210.167.164.216/29210.167.164.217 to 210.167.164.222210.167.164.2236
157210.167.164.224/29210.167.164.225 to 210.167.164.230210.167.164.2316
158210.167.164.232/29210.167.164.233 to 210.167.164.238210.167.164.2396
159210.167.164.240/29210.167.164.241 to 210.167.164.246210.167.164.2476
160210.167.164.248/29210.167.164.249 to 210.167.164.254210.167.164.2556
161210.167.165.0/29210.167.165.1 to 210.167.165.6210.167.165.76
162210.167.165.8/29210.167.165.9 to 210.167.165.14210.167.165.156
163210.167.165.16/29210.167.165.17 to 210.167.165.22210.167.165.236
164210.167.165.24/29210.167.165.25 to 210.167.165.30210.167.165.316
165210.167.165.32/29210.167.165.33 to 210.167.165.38210.167.165.396
166210.167.165.40/29210.167.165.41 to 210.167.165.46210.167.165.476
167210.167.165.48/29210.167.165.49 to 210.167.165.54210.167.165.556
168210.167.165.56/29210.167.165.57 to 210.167.165.62210.167.165.636
169210.167.165.64/29210.167.165.65 to 210.167.165.70210.167.165.716
170210.167.165.72/29210.167.165.73 to 210.167.165.78210.167.165.796
171210.167.165.80/29210.167.165.81 to 210.167.165.86210.167.165.876
172210.167.165.88/29210.167.165.89 to 210.167.165.94210.167.165.956
173210.167.165.96/29210.167.165.97 to 210.167.165.102210.167.165.1036
174210.167.165.104/29210.167.165.105 to 210.167.165.110210.167.165.1116
175210.167.165.112/29210.167.165.113 to 210.167.165.118210.167.165.1196
176210.167.165.120/29210.167.165.121 to 210.167.165.126210.167.165.1276
177210.167.165.128/29210.167.165.129 to 210.167.165.134210.167.165.1356
178210.167.165.136/29210.167.165.137 to 210.167.165.142210.167.165.1436
179210.167.165.144/29210.167.165.145 to 210.167.165.150210.167.165.1516
180210.167.165.152/29210.167.165.153 to 210.167.165.158210.167.165.1596
181210.167.165.160/29210.167.165.161 to 210.167.165.166210.167.165.1676
182210.167.165.168/29210.167.165.169 to 210.167.165.174210.167.165.1756
183210.167.165.176/29210.167.165.177 to 210.167.165.182210.167.165.1836
184210.167.165.184/29210.167.165.185 to 210.167.165.190210.167.165.1916
185210.167.165.192/29210.167.165.193 to 210.167.165.198210.167.165.1996
186210.167.165.200/29210.167.165.201 to 210.167.165.206210.167.165.2076
187210.167.165.208/29210.167.165.209 to 210.167.165.214210.167.165.2156
188210.167.165.216/29210.167.165.217 to 210.167.165.222210.167.165.2236
189210.167.165.224/29210.167.165.225 to 210.167.165.230210.167.165.2316
190210.167.165.232/29210.167.165.233 to 210.167.165.238210.167.165.2396
191210.167.165.240/29210.167.165.241 to 210.167.165.246210.167.165.2476
192210.167.165.248/29210.167.165.249 to 210.167.165.254210.167.165.2556
193210.167.166.0/29210.167.166.1 to 210.167.166.6210.167.166.76
194210.167.166.8/29210.167.166.9 to 210.167.166.14210.167.166.156
195210.167.166.16/29210.167.166.17 to 210.167.166.22210.167.166.236
196210.167.166.24/29210.167.166.25 to 210.167.166.30210.167.166.316
197210.167.166.32/29210.167.166.33 to 210.167.166.38210.167.166.396
198210.167.166.40/29210.167.166.41 to 210.167.166.46210.167.166.476
199210.167.166.48/29210.167.166.49 to 210.167.166.54210.167.166.556
200210.167.166.56/29210.167.166.57 to 210.167.166.62210.167.166.636
201210.167.166.64/29210.167.166.65 to 210.167.166.70210.167.166.716
202210.167.166.72/29210.167.166.73 to 210.167.166.78210.167.166.796
203210.167.166.80/29210.167.166.81 to 210.167.166.86210.167.166.876
204210.167.166.88/29210.167.166.89 to 210.167.166.94210.167.166.956
205210.167.166.96/29210.167.166.97 to 210.167.166.102210.167.166.1036
206210.167.166.104/29210.167.166.105 to 210.167.166.110210.167.166.1116
207210.167.166.112/29210.167.166.113 to 210.167.166.118210.167.166.1196
208210.167.166.120/29210.167.166.121 to 210.167.166.126210.167.166.1276
209210.167.166.128/29210.167.166.129 to 210.167.166.134210.167.166.1356
210210.167.166.136/29210.167.166.137 to 210.167.166.142210.167.166.1436
211210.167.166.144/29210.167.166.145 to 210.167.166.150210.167.166.1516
212210.167.166.152/29210.167.166.153 to 210.167.166.158210.167.166.1596
213210.167.166.160/29210.167.166.161 to 210.167.166.166210.167.166.1676
214210.167.166.168/29210.167.166.169 to 210.167.166.174210.167.166.1756
215210.167.166.176/29210.167.166.177 to 210.167.166.182210.167.166.1836
216210.167.166.184/29210.167.166.185 to 210.167.166.190210.167.166.1916
217210.167.166.192/29210.167.166.193 to 210.167.166.198210.167.166.1996
218210.167.166.200/29210.167.166.201 to 210.167.166.206210.167.166.2076
219210.167.166.208/29210.167.166.209 to 210.167.166.214210.167.166.2156
220210.167.166.216/29210.167.166.217 to 210.167.166.222210.167.166.2236
221210.167.166.224/29210.167.166.225 to 210.167.166.230210.167.166.2316
222210.167.166.232/29210.167.166.233 to 210.167.166.238210.167.166.2396
223210.167.166.240/29210.167.166.241 to 210.167.166.246210.167.166.2476
224210.167.166.248/29210.167.166.249 to 210.167.166.254210.167.166.2556
225210.167.167.0/29210.167.167.1 to 210.167.167.6210.167.167.76
226210.167.167.8/29210.167.167.9 to 210.167.167.14210.167.167.156
227210.167.167.16/29210.167.167.17 to 210.167.167.22210.167.167.236
228210.167.167.24/29210.167.167.25 to 210.167.167.30210.167.167.316
229210.167.167.32/29210.167.167.33 to 210.167.167.38210.167.167.396
230210.167.167.40/29210.167.167.41 to 210.167.167.46210.167.167.476
231210.167.167.48/29210.167.167.49 to 210.167.167.54210.167.167.556
232210.167.167.56/29210.167.167.57 to 210.167.167.62210.167.167.636
233210.167.167.64/29210.167.167.65 to 210.167.167.70210.167.167.716
234210.167.167.72/29210.167.167.73 to 210.167.167.78210.167.167.796
235210.167.167.80/29210.167.167.81 to 210.167.167.86210.167.167.876
236210.167.167.88/29210.167.167.89 to 210.167.167.94210.167.167.956
237210.167.167.96/29210.167.167.97 to 210.167.167.102210.167.167.1036
238210.167.167.104/29210.167.167.105 to 210.167.167.110210.167.167.1116
239210.167.167.112/29210.167.167.113 to 210.167.167.118210.167.167.1196
240210.167.167.120/29210.167.167.121 to 210.167.167.126210.167.167.1276
241210.167.167.128/29210.167.167.129 to 210.167.167.134210.167.167.1356
242210.167.167.136/29210.167.167.137 to 210.167.167.142210.167.167.1436
243210.167.167.144/29210.167.167.145 to 210.167.167.150210.167.167.1516
244210.167.167.152/29210.167.167.153 to 210.167.167.158210.167.167.1596
245210.167.167.160/29210.167.167.161 to 210.167.167.166210.167.167.1676
246210.167.167.168/29210.167.167.169 to 210.167.167.174210.167.167.1756
247210.167.167.176/29210.167.167.177 to 210.167.167.182210.167.167.1836
248210.167.167.184/29210.167.167.185 to 210.167.167.190210.167.167.1916
249210.167.167.192/29210.167.167.193 to 210.167.167.198210.167.167.1996
250210.167.167.200/29210.167.167.201 to 210.167.167.206210.167.167.2076
251210.167.167.208/29210.167.167.209 to 210.167.167.214210.167.167.2156
252210.167.167.216/29210.167.167.217 to 210.167.167.222210.167.167.2236
253210.167.167.224/29210.167.167.225 to 210.167.167.230210.167.167.2316
254210.167.167.232/29210.167.167.233 to 210.167.167.238210.167.167.2396
255210.167.167.240/29210.167.167.241 to 210.167.167.246210.167.167.2476
256210.167.167.248/29210.167.167.249 to 210.167.167.254210.167.167.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses